aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/test-qbs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test-qbs.sh')
-rwxr-xr-xscripts/test-qbs.sh12
1 files changed, 3 insertions, 9 deletions
diff --git a/scripts/test-qbs.sh b/scripts/test-qbs.sh
index 55dc6524e..3996c63bf 100755
--- a/scripts/test-qbs.sh
+++ b/scripts/test-qbs.sh
@@ -38,7 +38,7 @@
##
#############################################################################
-set -eu
+set -eu -o pipefail
#
# Qbs is built with the address sanitizer enabled.
@@ -48,12 +48,6 @@ export LSAN_OPTIONS="suppressions=$( cd "$(dirname "$0")" ; pwd -P )/address-san
export PATH="$1:$PATH"
-CPUS=$("$(dirname "$0")"/cpu-count.sh)
-
export QBS_AUTOTEST_PROFILE=${QBS_AUTOTEST_PROFILE:-qt}
-echo "Running Qbs tests (${CPUS} jobs in parallel)."
-find $1 -name "tst_*" \
- | grep -v tst_blackbox-joblimits \
- | xargs -I{} -n1 -P${CPUS} bash -c \
- 'export LOG=$(mktemp) ; $({} > ${LOG} 2>&1) ; export RESULT=$? ; cat ${LOG} ; exit ${RESULT}'
-tst_blackbox-joblimits
+echo "Running Qbs tests."
+find $1 -name "tst*" | xargs -I{} -n1 bash -c "{}"